@echo off
echo GFS Medium Range Forecasts of Precipitation
echo source is http://wxmaps.org/pix/af.850.html
echo Forecasts are issued by the National Centers for Environmental Prediction 
echo and are presented as a set of seven maps for each 24 hour interval from 0 (analysis) to 144 hours
echo.



set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
set irfanviewdir=%9

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.


"%UtilDir%\wget\wget.exe" http://wxmaps.org/pix/af4.24hr.png
"%UtilDir%\wget\wget.exe" http://wxmaps.org/pix/af4.48hr.png
"%UtilDir%\wget\wget.exe" http://wxmaps.org/pix/af4.72hr.png
"%UtilDir%\wget\wget.exe" http://wxmaps.org/pix/af4.96hr.png
"%UtilDir%\wget\wget.exe" http://wxmaps.org/pix/af4.120hr.png
"%UtilDir%\wget\wget.exe" http://wxmaps.org/pix/af4.144hr.png


echo off
if not exist "%OutputDrive%\%OutputDir%\af4.*hr.png"  goto MESSAGE
echo The files have been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Data is retrieved from http://wxmaps.org/pix/af.850.html
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

rem generate TXT file

echo %OutputDrive%\%OutputDir%\af4.24hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.48hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.72hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.96hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.120hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.144hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.24hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.48hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.72hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.96hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.120hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.144hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.24hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.48hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.72hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.96hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.120hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.144hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.24hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.48hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.72hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.96hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.120hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.144hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.24hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.48hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.72hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.96hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.120hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.144hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.24hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.48hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.72hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.96hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.120hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.144hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.24hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.48hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.72hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.96hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.120hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.144hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.24hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.48hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.72hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.96hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.120hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt
echo %OutputDrive%\%OutputDir%\af4.144hr.png >> %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt



rem wait 2 seconds for irfanview to flush its output
ping 1.1.1.1 -n 3 -w 500 > NUL

set irfanviewdir=%irfanviewdir:~2,-2%


"%irfanviewdir%" /slideshow=%OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt /closeslideshow


del %OutputDrive%\%OutputDir%\af4*hr.png
del %OutputDrive%\%OutputDir%\wxmaps_TrelHW_forecast.txt


:END
"%IlwDir%\ilwis.exe" -C closeall