@echo off
echo Extract latest map available of position of the ITCZ
echo When ITCZ is situated on Northern Hemisphere!
echo.
echo.


set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
set irfanviewdir=%9

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.


"%UtilDir%\wget\wget.exe" http://www.cpc.noaa.gov/products/fews/ITCZ/itcz.jpg

echo off
if not exist "%OutputDrive%\%OutputDir%\itcz.jpg"  goto MESSAGE
echo The file(s) "itcz.jpg" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Data is retrieved from http://www.cpc.noaa.gov/products/fews/ITCZ/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


set irfanviewdir=%irfanviewdir:~2,-2%

"%irfanviewdir%" %OutputDrive%\%OutputDir%\itcz.jpg /hide=15


del %OutputDrive%\%OutputDir%\itcz.jpg


:END
"%IlwDir%\ilwis.exe" -C closeall
