@echo off
echo Extract FEWS RFE climatology 
echo File contains on monthly basis the data 
echo Utilizing the climatology method of the RFE (ARC) 
echo File name format clim.month.bin.01 up to clim.month.bin.12
echo Mean preciptiation per month
echo.
echo.

set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

echo set OutputDrive=%4>inputparam.bat
echo set OutputDir=%5>>inputparam.bat
echo set IlwDir=%7>>inputparam.bat
echo set UtilDir=%8>>inputparam.bat



@echo on

"%UtilDir%\wget\wget.exe" ftp://ftp.cpc.ncep.noaa.gov/fews/AFR_CLIM/ARC2/CLIMATOLOGY_DATA/MEAN_MONTHLY_TOTALS/clim.month.bin.*


echo off
if not exist "%OutputDrive%\%OutputDir%\clim.month.bin.*"  goto MESSAGE
echo The files "monthly climatology-01 up to monthly climatology-12" have been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input files have not been found in the archive.
echo Data is retrieved from ftp://ftp.cpc.ncep.noaa.gov/fews/AFR_CLIM/ARC2/CLIMATOLOGY_DATA/MEAN_MONTHLY_TOTALS/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


copy %IlwDir%\Extensions\ISOD-Toolbox\toolbox_batchroutines\fews_rfeclim_month_loop.bat

for %%j in (clim.month*) do cmd /c fews_rfeclim_month_loop.bat %%j


del clim.month.bin*
 
del fews_rfeclim_month_loop.bat
del inputparam.bat


:END
"%IlwDir%\ilwis.exe" -C closeall