@echo off
echo Extract FEWS PET global daily coverage
echo File contains on monthly basis the daily data  
echo File name format pet_201101.tar.gz
echo Output is days per month
echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~0,6%
set shortfilename2=%longfilename:~0,4%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

echo set shortfilename=%1>inputparam.bat
echo set OutputDrive=%4>>inputparam.bat
echo set OutputDir=%5>>inputparam.bat
echo set IlwDir=%7>>inputparam.bat
echo set UtilDir=%8>>inputparam.bat
echo set shortfilename2=%shortfilename2%>>inputparam.bat


"%UtilDir%\wget\wget.exe" http://earlywarning.usgs.gov/ftp2/bulkdailydata/global/pet/months/pet_%shortfilename1%.tar.gz

echo off
if not exist "%OutputDrive%\%OutputDir%\pet_%shortfilename1%.tar.gz"  goto MESSAGE
echo The file(s) "pet_%shortfilename1%.tar.gz" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from http://earlywarning.usgs.gov/ftp2/bulkdailydata/global/pet/months/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

"%UtilDir%\7z.exe" e pet_%shortfilename1%.tar.gz 
"%UtilDir%\7z.exe" e pet_%shortfilename1%.tar


copy %IlwDir%\Extensions\ISOD-Toolbox\toolbox_batchroutines\fews_pet_importnoswap_loop.bat

for %%j in (et*.tar.gz) do cmd /c fews_pet_importnoswap_loop.bat %%j


del pet_%shortfilename1%.tar
del pet_%shortfilename1%.tar.gz 
del fews_pet_importnoswap_loop.bat
del inputparam.bat
rd pet_%shortfilename1%

:END
"%IlwDir%\ilwis.exe" -C closeall