@echo off
echo Extract FEWS RFE climatology 
echo File contains on day basis the data 
echo Utilizing the climatology method of the RFE (ARC2) 
echo File name format clim.bin.0101 up to clim.bin.1231
echo Mean precipitation per day
echo.
echo. 

set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%


echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

echo set OutputDrive=%4>inputparam.bat
echo set OutputDir=%5>>inputparam.bat
echo set IlwDir=%7>>inputparam.bat
echo set UtilDir=%8>>inputparam.bat



@echo on
copy D:\arc2_clim\clim*.*

"%UtilDir%\wget\wget.exe" ftp://ftp.cpc.ncep.noaa.gov/fews/AFR_CLIM/ARC2/CLIMATOLOGY_DATA/DAILY_MEANS/clim.bin.*


echo off
if not exist "%OutputDrive%\%OutputDir%\clim.bin.*"  goto MESSAGE
echo The files "daily climatology-0101 up to daily climatology-1231*" have been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input files have not been found in the archive.
echo Data is retrieved from ftp://ftp.cpc.ncep.noaa.gov/fews/AFR_CLIM/ARC2/CLIMATOLOGY_DATA/DAILY_MEANS/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START


copy %IlwDir%\Extensions\ISOD-Toolbox\toolbox_batchroutines\fews_rfeclim_day_loop.bat

for %%j in (clim.bin*) do cmd /c fews_rfeclim_day_loop.bat %%j


del clim.bin.*
 
del fews_rfeclim_day_loop.bat
del inputparam.bat

:END
"%IlwDir%\ilwis.exe" -C closeall